add_subdirectory(logging)
add_subdirectory(random)


SET(HDRS
	${HDRS}
	${CMAKE_CURRENT_SOURCE_DIR}/tracing.h
	${CMAKE_CURRENT_SOURCE_DIR}/utilityRandom.h
	PARENT_SCOPE
)

SET(SRCS
	${SRCS}
	${CMAKE_CURRENT_SOURCE_DIR}/tracing.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/utilityRandom.cpp
	PARENT_SCOPE
)

SET(LIB_INCLUDE_PATH
	${LIB_INCLUDE_PATH}
	${CMAKE_CURRENT_SOURCE_DIR}
	PARENT_SCOPE
)
